html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  vertical-align: baseline;
}

@font-face {
  font-family: "Hibana";
  src: url("../fonts/hibana/Hibana-SubMedium.otf") format("opentype");
  font-weight: 500;
}

input,
textarea,
select,
button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 0; /* чтобы убрать скругления от Safari */
}

:root {
  /*ЗАДНИКИ*/
  --primary: #ae040f;
  --secondary: #f3f5f7;
  --silver: #bebebe;
  --light: #ffffff;
  --dark: #292929;
  /*ЦВЕТА ТЕКСТА*/
  --text-dark: #292929;
  --text-light: #ffffff;
  --text-silver: #bebebe;
  /*ЦВЕТА ГРАНИЦ*/
  --border-primary: #bebebe;
  --border-silver: #d8e2eb;
  /*СКРУГЛЕНИЕ*/
  --rounded-10: 0.6rem;
  --rounded-12: 0.73rem;
  --round-20: 1.21rem;
  /*КАСТАМНЫЕ ОТСТУПЫ*/
  --main-padding-x: 19.5rem;
}

html,
body {
  position: relative;
  height: 100%;
}

html {
  font-size: calc(0.433vw + 0.433vh + 0.3175vmin);
}

@media (max-width: 430px) {
  html {
    font-size: calc(0.333vw + 0.333vh + 0.2175vmin);
  }
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
  font-family: "Hibana", sans-serif;
  outline: none; /* Убирает рамку вокруг ссылки при фокусе */
  -webkit-tap-highlight-color: transparent; /* Убирает синий цвет на мобильных устройствах */
}

body {
  box-sizing: border-box;
  font-family: "Hibana", sans-serif;
  color: var(--text-dark);
  font-weight: 500;
  line-height: 1;
}

main {
  padding: 1rem var(--main-padding-x);
}

/* Убираем контур у элементов, получающих фокус */
a:focus,
input:focus,
select:focus,
textarea:focus {
  outline: none;
}

/* Классы для текста с размерами шрифта и line-height */

/* XL — заголовки */
.text-xl3 {
  font-size: 2.927rem; /*h1 48px*/
  line-height: 1.2;
}

.text-xl2 {
  font-size: 2.866rem; /*h1 47px*/
  line-height: 1.2;
}

.text-xl1 {
  font-size: 2.744rem; /*h1 45px*/
  line-height: 1.2;
}

.text-xl {
  font-size: 2.439rem; /*h1 40px*/
  line-height: 1.2;
}

/* L — подзаголовки */
.text-l4 {
  font-size: 2.19rem; /*h2 36px*/
  line-height: 1.85;
}

.text-l3 {
  font-size: 1.95rem; /*h2 32px*/
  line-height: 1.55;
}

.text-l {
  font-size: 1.707rem; /*h2 28px*/
  line-height: 1.25;
}

.text-l1 {
  font-size: 1.524rem; /*h3 25px*/
  line-height: 1.25;
}

.text-l2 {
  font-size: 1.463rem; /*h4 24px*/
  line-height: 1.25;
}

/* M — крупный текст */
.text-m {
  font-size: 1.341rem; /*h5 22px*/
  line-height: 1.3;
}

.text-m1 {
  font-size: 1.22rem; /*h6 20px*/
  line-height: 1.3;
}

/* S — обычный текст */
.text-s {
  font-size: 1.098rem; /*h6 18px*/
  line-height: 1.35;
}

.text-s1 {
  font-size: 0.976rem; /*p 16px*/
  line-height: 1.4;
}

/* XS — мелкий */
.text-xs1 {
  font-size: 0.91rem; /*p 15px*/
  line-height: 1.3;
}

.text-xs {
  font-size: 0.854rem; /*p 14px*/
  line-height: 1.4;
}

.row {
  margin: 0;
  padding: 0;
}

/*КАСТАМНЫЕ СТИЛИЗОВАННЫЕ КЛАССЫ*/

.info_text {
  color: var(--text-silver);
  margin-top: 2rem;
}

.info_text > a {
  text-decoration: underline;
}

.hover_button {
  transition: transform 0.3s ease;
}

.hover_button:hover {
  transform: scale(1.1);
}

.primary_button {
  border: none;
  border-radius: var(--rounded-10);
  background-color: var(--primary);
  color: var(--text-light);
  text-align: center;
  font-size: 1rem;
  line-height: 1.4rem;
  padding: 1.51rem 1.82rem;
  transition: transform 0.3s ease;
}

.primary_button:hover {
  transform: scale(1.1);
}

.light_button {
  border: none;
  border-radius: var(--rounded-10);
  background-color: var(--light);
  color: var(--primary);
  text-align: center;
  font-size: 1rem;
  line-height: 1.4rem;
  padding: 1.51rem 1.82rem;
  transition: transform 0.3s ease;
}

.light_button:hover {
  transform: scale(1.1);
}

.yandex_maps {
  height: 30rem;
}

/* СБРОС СТИЛЬ БИБЛИОТЕК*/

.offcanvas.offcanvas-end {
  width: 100% !important;
}

.offcanvas-backdrop {
  background-color: transparent;
}

.swiper {
  z-index: 0 !important;
}

.accordion-item,
.accordion-header,
.accordion-header > button {
  background-color: transparent;
  color: white;
  border: none !important;
}

.accordion-item {
  margin-bottom: 1rem;
}

.accordion-button {
  width: 100%;
  border: none !important;
  padding: 0 !important;
}

.accordion-button:not(.collapsed) {
  color: white;
}
.accordion-button:not(.collapsed) {
  background-color: transparent;
}
.accordion-button:focus {
  box-shadow: none !important;
}

.accordion-button::after {
  display: none;
}

.accordion-body {
  display: flex;
  flex-direction: column;
  color: var(--text-dark);
  gap: 2rem;
}

.custom_accordion_header {
  width: 100%;
  border-bottom: 1px solid var(--border-silver);
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--text-dark);
  background-color: transparent;
  border-radius: 0.6rem;
  padding: 1.4rem 2.07rem;
}

.custom_accordion_header > img {
  width: 3rem;
}

@media (max-width: 1024px) {
  :root {
    --rounded-10: 1.6rem;
    --rounded-12: 2.73rem;
    --round-20: 4.21rem;
    --main-padding: 3rem;
  }

  main {
    padding: 3.8rem;
  }

  .col-sm-12 {
    width: 100% !important;
  }

  .col-sm-6 {
    width: 50% !important;
  }

  /* Классы для текста с размерами шрифта и line-height */

  /* XL — заголовки */
  .text-xl3 {
    font-size: 7.7rem;
    line-height: 1.2;
  }

  .text-xl2 {
    font-size: 6.5rem;
    line-height: 1.2;
  }

  .text-xl1 {
    font-size: 5.2rem;
    line-height: 1.2;
  }

  .text-xl {
    font-size: 4.439rem;
    line-height: 1.3;
  }

  /* L — подзаголовки */
  .text-l {
    font-size: 4rem;
    line-height: 1.2;
  }

  .text-l1 {
    font-size: 3rem;
    line-height: 1.25;
  }

  .text-l2 {
    font-size: 4.463rem;
    line-height: 1.25;
  }

  .text-l3 {
    font-size: 4.2rem;
    line-height: 1.55;
  }

  /* M — крупный текст */
  .text-m {
    font-size: 3.3rem;
    line-height: 1.3;
  }

  .text-m1 {
    font-size: 3.3rem;
    line-height: 1.3;
  }

  /* S — обычный текст */
  .text-s {
    font-size: 3rem;
    line-height: 1.35;
  }

  .text-s1 {
    font-size: 2.976rem;
    line-height: 1.5;
  }

  /* XS — мелкий */
  /* XS — мелкий */
  .text-xs1 {
    font-size: 2.31rem;
    line-height: 1.3;
  }

  .text-xs {
    font-size: 2.44rem;
    line-height: 1.4;
  }

  .primary_button,
  .light_button {
    font-size: 3rem;
    line-height: 4.4rem;
    padding: 3rem 5rem;
  }

  .yandex_maps {
    height: 100rem;
  }

  .custom_accordion_header > img {
    width: 8rem;
  }
}

/* * {
  outline: 1px solid red;
} */
